
Foreman - Bug #22711

Webpack uglifier errors out

02/27/2018 06:02 PM - Anonymous

Status: Closed   

Priority: High   

Assignee: Ohad Levy   

Category: JavaScript stack   

Target version: 1.16.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5283,

https://github.com/theforeman/foreman/p

ull/5288,

https://github.com/theforeman/foreman/p

ull/5289,

https://github.com/theforeman/foreman/p

ull/5287

  

Description

Currently webpack:compile fails with:

18:50:21 ERROR in vendor-4138154b37191d0e971d.js from UglifyJs

18:50:21 Unexpected token: name (format_format) [vendor-4138154b37191d0e971d.js:41555,4]

Associated revisions

Revision fdfc5429 - 03/03/2018 01:08 PM - Avi Sharvit

Fixes #22711 - fix uglifyjs-webpack plugin

Revision eefb846c - 03/06/2018 10:56 AM - Michael Moll 

Refs #22711 - add uglifyjs-webpack-plugin to package.json

History

#1 - 02/27/2018 06:03 PM - Anonymous

I think 1.16 and 1.17 need to get this, in order to have working builds.

#2 - 02/27/2018 06:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5277 added

#3 - 02/27/2018 06:06 PM - Anonymous

- Related to Bug #21857: uglifier 4.x fails to precompile assets added

#4 - 02/28/2018 07:09 PM - Anonymous

- Related to deleted (Bug #21857: uglifier 4.x fails to precompile assets)

#5 - 02/28/2018 07:11 PM - Anonymous

- Subject changed from Enable ES6 support for uglifier to Webpack uglifier errors out

- Status changed from Ready For Testing to New

- Priority changed from Normal to High

- Assignee deleted (Anonymous)
- Pull request deleted (https://github.com/theforeman/foreman/pull/5277)

Setting to high as this is currently blocking tests and package builds. AFAICT now, the root cause is not in the Rails asset pipeline but somewhere in

the webpack chain.

#6 - 03/01/2018 12:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/5282 added

#7 - 03/01/2018 02:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5283 added

#8 - 03/03/2018 01:51 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5287 added

#9 - 03/03/2018 01:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5288 added

#10 - 03/03/2018 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fdfc5429a2b39498b57cf711967f99ae7d3d7f6f.

#11 - 03/03/2018 02:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5289 added

#12 - 03/03/2018 02:52 PM - Anonymous

- Pull request deleted (https://github.com/theforeman/foreman/pull/5282)
